Apache JMeter

## org.apache.jmeter.samplers
Interface Interruptible

All Known Implementing Classes:
  AccessLogSampler, FTPSampler, HTTPSampler, HTTPSampler2, JMeterThread, MailReaderSampler, SoapSampler, SubscriberSampler

    public interface Interruptible

Samplers which are able to interrupt a potentially long-running operation should implement this interface.

Method Summary
`boolean` `interrupt()` Interrupt the current operation if possible.

Method Detail

### interrupt

    boolean interrupt()

  Interrupt the current operation if possible.

  Returns:
    `true` if there was an operation to interrupt.

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.